Bug 16794 - print jobs fail on cups server if printer on cups client is renamed
Summary: print jobs fail on cups server if printer on cups client is renamed
Status: RESOLVED OLD
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: i586 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Thierry Vignaud
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18367
  Show dependency treegraph
 
Reported: 2015-09-21 20:26 CEST by bozonius
Modified: 2018-10-06 13:15 CEST (History)
3 users (show)

See Also:
Source RPM: cups
CVE:
Status comment:


Attachments

Description bozonius 2015-09-21 20:26:30 CEST
Description of problem:

The cups system gives printers default names on the Mageia cups client, such as "printer," "printer-2," "printer-3," etc.  If those names are changed, print jobs will fail after they are transmitted to the cups server.


Version-Release number of selected component (if applicable):
Cups client 2.0.2 on Mageia 5 client (Virtualbox 4.3 guest).  Cups 1.4.2 on host Enterprise Linux hosting the Virtualbox 4.3.

How reproducible:
Search for a shared print queue hosted on cups server, then rename.  Print jobs will fail.


Steps to Reproduce:
1.  Search for and/or create IPP/CUPS print queue on client Mageia 5 system.  By default, this will be named "printer" in MCC.
2.  Print test job to confirm that the host print server does, in fact, work correctly (this works without failure).
3.  Change the name of the printer (or print queue) on the client.
4.  Print test job.  This fails AFTER the print job is spooled to the system running the cups server.

A similar scenario plays out if using webmin or port 631 in a browser.


Reproducible: 

Steps to Reproduce:
Comment 1 bozonius 2015-09-21 20:31:10 CEST
This does not happen on any other cups client.  Other cups clients print queues are given names that are similar to the names of the queues on the hosts, and all are able to spool and print jobs without a problem.  This even works on my Mageia 4 client, just not with Mageia 5.

The default name of the queues assigned really should be the same as the names on the server, if it is possbible.  But renaming should never break the print functionality.

CC: (none) => bozonius

Samuel Verschelde 2015-09-22 10:15:09 CEST

Assignee: bugsquad => thierry.vignaud
Source RPM: (none) => cups

Marja Van Waes 2016-05-05 14:45:18 CEST

CC: (none) => marja11
Blocks: (none) => 18367

Comment 2 Marja Van Waes 2016-08-10 19:41:33 CEST
On the 25th of July, Phillipem uploaded the following packages to 
Cauldron's core/updates_testing:

    system-config-printer-1.5.7-5.mga6.i586
    system-config-printer-applet-1.5.7-5.mga6.i586
    system-config-printer-udev-1.5.7-5.mga6.i586

    system-config-printer-libs-1.5.7-5.mga6.noarch

    system-config-printer-1.5.7-5.mga6.x86_64
    system-config-printer-applet-1.5.7-5.mga6.x86_64
    system-config-printer-udev-1.5.7-5.mga6.x86_64


@ Anyone reading this:

* If this bug is valid for you in cauldron, then please test whether updating your system-config-printer packages to version 1.5.7-5.mga6 fixes the problem and report back in this bug report.

* If you do not have this bug in cauldron, but you do run cauldron, then please update those packages, too, and report in bug 18367 whether they work as expected.

CC: (none) => makowski.mageia

Comment 3 Marja Van Waes 2018-04-25 13:45:19 CEST
Hi Bozonius,

Thank you for having taken the needed time to report this issue!

Did this bug get fixed? If so, please change its status to RESOLVED - FIXED

If it didn't, then we regret that we weren't able to fix it in Mageia 5. Mageia 5 has officially reached its End of Life on December 31st, 2017 https://blog.mageia.org/en/2017/11/07/mageia-5-eol-postponed/
It only continued to get important security updates since then, because we are waiting for a big Plasma5 update in Mageia 6, that'll fix many of the Mageia 5 => 6 upgrade issues.

If you haven't seen that this bug got fixed, then please check whether this bug still exists in Mageia 6. If it does, then please change the Version (near the top, at the left) to "6". If you know it exists in Cauldron, then change Version to Cauldron. If you see it in both Cauldron and Mageia 6, then please set Version to Cauldron and add MGA6TOO on the Whiteboard.

Thanks,
Marja
Comment 4 Marja Van Waes 2018-10-06 13:15:15 CEST
No reply, so closing as OLD

==> If you didn't reset your password after February 2018, then you'll need to reset it here https://identity.mageia.org/forgot_password to be able to log in and comment in this report. <==

Resolution: (none) => OLD
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.